/*
	$Id: DalDatabaseErrors.h 1177 2018-11-14 16:17:27Z john $

	This file is part of the RFC DAL.

	The RFC DAL is Copyright (c) 2004 - 2007, The 4c Company.

	The RFC DAL is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The RFC DAL is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __DalDatabaseErrors_h__
#define __DalDatabaseErrors_h__

namespace RfcDal
{
	const int DDBERR_OK						= 0;
	const int DDBERR_NOLIBRARY				= 1000;
	const int DDBERR_FUNCTIONNOTBOUND		= 1001;
	const int DDBERR_UNKNOWNADAPTOR			= 1002;
	const int DDBERR_MISSING_PARAM			= 1011;
	const int DDBERR_NOCONFIGUREENVIRONMENT	= 1100;
	const int DDBERR_NOOPENDB				= 1200;
	const int DDBERR_NOOPENFILE				= 1250;
	const int DDBERR_DBNOTOPEN				= 1300;
	const int DDBERR_NOEXECUTE				= 1301;
	const int DDBERR_NOTRANSACTIONS			= 1400;
	const int DDBERR_NOAUTOCOMMIT			= 1401;
	const int DDBERR_BEGINFAILED			= 1402;
	const int DDBERR_COMMITFAILED			= 1403;
	const int DDBERR_ROLLBACKFAILED			= 1404;
	const int DDBERR_NOTIMPLEMENTED			= 1500;
	const int DDBERR_LOGGERCREATIONFAILED	= 4000;
	const int DDBERR_USER					= 5000;
};

#endif /* !__DalDatabaseErrors_h__ */
