/*
	$Id: SqlInterpret.h 1177 2018-11-14 16:17:27Z john $

	This file is part of the RFC DAL.

	The RFC DAL is Copyright (c) 2004 - 2011, The 4c Company.

	The RFC DAL is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The RFC DAL is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __SqlInterpret_h__
#define __SqlInterpret_h__

#if defined (RFCDALDB_EXPORT)
#	undef RFCDALDB_EXPORT
#endif /* RFCDALDB_EXPORT */

#if defined (LINUX)
#	define RFCDALDB_EXPORT
#elif defined (_WINDOWS)
#	include <windows.h>
#	if defined (LIBRFCDALINTERPRET_EXPORTS)
#		define RFCDALDB_EXPORT __declspec( dllexport )
#	else
#		define RFCDALDB_EXPORT __declspec( dllimport )
#	endif /* LIBRFCDAL_EXPORTS */
#endif /* LINUX */

#include <librfcdal/SqlSelectStatement.h>
#include <librfcdal/SqlException.h>
#include <librfcdal/SqlInterpretException.h>

#include <string>

namespace RfcDal
{
	class RFCDALDB_EXPORT SqlInterpret
	{
		private:
		
		public:
			static SqlSelectStatement interpret( const std::string& strXML );
	};
};

#endif /* !__SqlInterpret_h__ */
