/*
	$Id: SqlStatement.h 1177 2018-11-14 16:17:27Z john $

	This file is part of the RFC DAL.

	The RFC DAL is Copyright (c) 2004 - 2007, The 4c Company.

	The RFC DAL is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The RFC DAL is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __SqlStatement_h__
#define __SqlStatement_h__

#include <librfcdal/SqlGlobal.h>
#include <librfcdal/SqlElement.h>

namespace RfcDal
{
	class RFCDAL_EXPORT SqlStatement : public SqlElement
	{
		public:
			SqlStatement();
			virtual ~SqlStatement();

			virtual std::string toSql( const SqlLanguage& language, const SqlAliasSet& aliasS = SqlAliasSet(), Context context = ctxDefault ) const = 0;
	};
};

#endif /* !__SqlStatement_h__ */
